%define		_status		stable
%define		_pearname PHPUnit
%define		php_min_version 5.2.7
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - regression testing framework for unit tests
Summary(pl.UTF-8):	%{_pearname} - zestaw testów regresyjnych
Name:		php-phpunit-%{_pearname}
Version:	3.6.10
Release:	4
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
# Source0-md5:	5dbf82aad0bc782024a436437e057da5
URL:		http://www.phpunit.de/
BuildRequires:	php-channel(components.ez.no)
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-channel(pear.symfony-project.com)
BuildRequires:	php-pear >= 4:1.1-2
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.473
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(dom)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear >= 4:1.1-2
Requires:	php-pear-XML_RPC2
Requires:	php-phpunit-DbUnit >= 1.0.0
Requires:	php-phpunit-File_Iterator >= 1.3.0
Requires:	php-phpunit-PHPUnit_MockObject >= 1.1.0
Requires:	php-phpunit-PHPUnit_Selenium >= 1.0.1
Requires:	php-phpunit-PHP_CodeCoverage >= 1.1.0
Requires:	php-phpunit-PHP_Timer >= 1.0.1
Requires:	php-phpunit-Text_Template >= 1.1.1
Requires:	php-reflection
Requires:	php-symfony-YAML >= 1.0.2
Suggests:	php-curl
Suggests:	php-dbus
Suggests:	php-json
Suggests:	php-pdo
Suggests:	php-phpunit-PHP_Invoker
Suggests:	php-simplexml
Suggests:	php-soap
Suggests:	php-tokenizer
Provides:	php-PHPUnit = %{version}
Obsoletes:	php-PHPUnit < 3.5
Obsoletes:	php-PHPUnit-tests
Obsoletes:	php-pear-PHPUnit
Obsoletes:	php-pear-PHPUnit2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		dep_optional	pear(Image/GraphViz.*) pear(Log.*) pear(SymfonyComponents/.*) pear(XML/RPC2/Client.php)

# put it together for rpmbuild
%define		_noautoreq	%{?dep_optional} %{?dep_missing}

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. It is based upon JUnit, which can be
found at <http://www.junit.org/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PHPUnit jest zestawem testów regresyjnych używanych przez developerów,
którzy implementują jednostki testowe w PHP. Jest bazowane na JUnit,
który można znaleźć pod adresem <http://www.junit.org/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -p usr/bin/phpunit $RPM_BUILD_ROOT%{_bindir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/.channel.pear.phpunit.de/*.reg
%attr(755,root,root) %{_bindir}/phpunit
%{php_pear_dir}/PHPUnit
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 9938a83
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> f9b134f
ctype ext for PHPUnit/Util/Configuration.php

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> a9fabbd
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 7d8d28b
- updated to: 3.6.10

* Thu Nov 10 2011 Elan Ruusamäe <glen@pld-linux.org> 3b12e20
- updated to: 3.6.2

* Fri Nov 04 2011 Elan Ruusamäe <glen@pld-linux.org> 7afe151
- updated to: 3.6.1

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> da817b9
- updated to: 3.6.0

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 3372718
- updated to: 3.5.14

* Wed Jun 01 2011 Elan Ruusamäe <glen@pld-linux.org> ae043cb
- tokenizer is pretty much required

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> 551bf83
- provide old php-PHPUnit for dependencies

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> bdf372d
- updated to: 3.5.13

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 4df67e1
- updated to: 3.5.12

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> c6aa850
- obsolete more phpunit packages

* Sat Feb 12 2011 Elan Ruusamäe <glen@pld-linux.org> a246b8b
- rename to conform to php-<channel>-<name> naming policy
- update to 3.5.11

* Tue Nov 23 2010 Elan Ruusamäe <glen@pld-linux.org> 0a2a3d5
- 3.5.5

* Mon Nov 22 2010 Elan Ruusamäe <glen@pld-linux.org> 042f894
- up to 3.5.4

* Wed Oct 27 2010 Elan Ruusamäe <glen@pld-linux.org> f4b9677
- autoup to 3.5.3

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 3a7b883
- deps from proper channel, version up to 3.5.2

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 4854122
- pear deps

* Fri Oct 01 2010 Elan Ruusamäe <glen@pld-linux.org> 442edf4
- up to 3.5.0

